Subject: Re: O_DIRECT sockets? (was [RESEND] tuning linux for high network performance?)

From: Nivedita Singhvi <[email-masked]>
Date: Wed, 23 Oct 2002 09:34:38 -0700

Roy Sigurd Karlsbakk wrote:

> I'm doing O_DIRECT read (from disk), so it needs to be user -> kernel, then.
> 
> any chance of using O_DIRECT to the socket?

Hmm, I'm still not clear on why you cannot use sendfile()?
I was not aware of any upper limit to the file size in order
for sendfile() to be used?  From what little I know, this 
is exactly the kind of situation that sendfile was intended
to benefit. 

thanks,
Nivedita